Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Nguyen/NguyenFunctionTwelve.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Nguyen/NguyenFunctionTwelve.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Nguyen/NguyenFunctionTwelve.cs	(revision 7682)
@@ -38,6 +38,6 @@
     }
     protected override string TargetVariable { get { return "Z"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y", "Z" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X", "Y" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y", "Z" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 100; } }
@@ -45,5 +45,5 @@
     protected override int TestPartitionEnd { get { return 1000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateUniformDistributedValues(1000, 0, 1));
@@ -59,5 +59,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Nguyen/NguyenFunctionTwo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Nguyen/NguyenFunctionTwo.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Nguyen/NguyenFunctionTwo.cs	(revision 7682)
@@ -38,6 +38,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 20; } }
@@ -45,5 +45,5 @@
     protected override int TestPartitionEnd { get { return 350; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateUniformDistributedValues(500, -1, 1));
@@ -57,5 +57,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs	(revision 7682)
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.0.7666")]
+[assembly: AssemblyFileVersion("3.4.0.7667")]
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/RegressionInstanceProvider.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/RegressionInstanceProvider.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/RegressionInstanceProvider.cs	(revision 7682)
@@ -41,7 +41,7 @@
         regData.Name = path.Substring(pos, path.Length - pos);
       }
-      regData.InputVariables = new List<string>(csvFileParser.VariableNames);
+      regData.InputVariables = new List<string>(csvFileParser.VariableNames).ToArray();
       regData.TargetVariable = csvFileParser.VariableNames.Last();
-      regData.AllowedInputVariables = regData.InputVariables.Where(x => !x.Equals(regData.TargetVariable));
+      regData.AllowedInputVariables = regData.InputVariables.Where(x => !x.Equals(regData.TargetVariable)).ToArray();
       //convert to multidimensional array
       List<IList> values = csvFileParser.Values;
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/TrentMcConaghy/TrentMcConaghyInstanceProvider.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/TrentMcConaghy/TrentMcConaghyInstanceProvider.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/TrentMcConaghy/TrentMcConaghyInstanceProvider.cs	(revision 7682)
@@ -49,5 +49,5 @@
 
       regData.TargetVariable = regData.InputVariables.First();
-      regData.AllowedInputVariables = regData.InputVariables.Where(x => !x.Equals(regData.TargetVariable));
+      regData.AllowedInputVariables = regData.InputVariables.Where(x => !x.Equals(regData.TargetVariable)).ToArray();
 
       return regData;
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/ValueGenerator.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/ValueGenerator.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/ValueGenerator.cs	(revision 7682)
@@ -28,16 +28,4 @@
   public class ValueGenerator {
     protected static FastRandom rand = new FastRandom();
-
-    public static double[,] Transformation(List<List<double>> data) {
-      if (!data.All(x => x.Count.Equals(data.First().Count)))
-        throw new ArgumentException("Can't create jagged array.");
-      double[,] values = new double[data.First().Count, data.Count];
-      for (int i = 0; i < values.GetLength(0); i++) {
-        for (int j = 0; j < values.GetLength(1); j++) {
-          values[i, j] = data[j][i];
-        }
-      }
-      return values;
-    }
 
     public static List<double> GenerateSteps(double start, double end, double stepWidth) {
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/BreimanOne.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/BreimanOne.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/BreimanOne.cs	(revision 7682)
@@ -36,6 +36,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5001; } }
@@ -45,5 +45,5 @@
     protected static FastRandom rand = new FastRandom();
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       List<int> values = new List<int>() { -1, 1 };
@@ -76,5 +76,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
 
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/PolyTen.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/PolyTen.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/PolyTen.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5", "X6", "X7", "X8", "X9", "X10" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 250; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 500; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -69,5 +69,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/SpatialCoevolution.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/SpatialCoevolution.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Various/SpatialCoevolution.cs	(revision 7682)
@@ -42,6 +42,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X", "Y" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 250; } }
@@ -49,5 +49,5 @@
     protected override int TestPartitionEnd { get { return 500; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
 
@@ -70,5 +70,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/KotanchekFunction.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/KotanchekFunction.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/KotanchekFunction.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 100; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 3025; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
 
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialThreeDimensional.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "X3", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2", "X3" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "X3", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2", "X3" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 300; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 3700; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
 
@@ -76,5 +76,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialTwoDimensional.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 50; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 2157; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
 
@@ -67,5 +67,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RippleFunction.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RippleFunction.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RippleFunction.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 300; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 1300; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionOneDimensional.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionOneDimensional.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionOneDimensional.cs	(revision 7682)
@@ -38,6 +38,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 100; } }
@@ -45,5 +45,5 @@
     protected override int TestPartitionEnd { get { return 321; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateSteps(0.05, 10, 0.1));
@@ -58,5 +58,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionTwoDimensional.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionTwoDimensional.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionTwoDimensional.cs	(revision 7682)
@@ -40,6 +40,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 601; } }
@@ -47,5 +47,5 @@
     protected override int TestPartitionEnd { get { return 3155; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       List<List<double>> trainingData = new List<List<double>>() {
@@ -76,5 +76,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SineCosineFunction.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SineCosineFunction.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SineCosineFunction.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 30; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 1461; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       List<double> oneVariableTestData = ValueGenerator.GenerateSteps(-0.05, 6.05, 0.02);
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 1024; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 6024; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Plugin.cs	(revision 7682)
@@ -23,5 +23,5 @@
 
 namespace HeuristicLab.Problems.Instances.Views {
-  [Plugin("HeuristicLab.Problems.Instances.Views", "3.4.0.7666")]
+  [Plugin("HeuristicLab.Problems.Instances.Views", "3.4.0.7667")]
   [PluginFile("HeuristicLab.Problems.Instances.Views-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs	(revision 7682)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.2.7666")]
+[assembly: AssemblyFileVersion("3.4.2.7667")]
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 7682)
@@ -116,5 +116,7 @@
     <Compile Include="IExportable.cs" />
     <Compile Include="TableFileParser.cs" />
+    <Compile Include="Transformer.cs" />
     <Compile Include="Types\ATSPData.cs" />
+    <Compile Include="Types\ClassificationData.cs" />
     <Compile Include="Types\RegressionData.cs" />
     <Compile Include="Types\CTAPData.cs" />
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances/3.3/Transformer.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances/3.3/Transformer.cs	(revision 7682)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances/3.3/Transformer.cs	(revision 7682)
@@ -0,0 +1,40 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+
+namespace HeuristicLab.Problems.Instances {
+  public class Transformer {
+    public static double[,] Transformation(List<List<double>> data) {
+      if (!data.All(x => x.Count.Equals(data.First().Count)))
+        throw new ArgumentException("Can't create jagged array.");
+      double[,] values = new double[data.First().Count, data.Count];
+      for (int i = 0; i < values.GetLength(0); i++) {
+        for (int j = 0; j < values.GetLength(1); j++) {
+          values[i, j] = data[j][i];
+        }
+      }
+      return values;
+    }
+  }
+}
